# Settings

Settings

 - [DELETE /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/settings/deletesetting.md): This method will delete a setting with the specified ID.
 - [GET /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/settings/getsetting.md): This method will look up a setting by the specified ID and return it back.
 - [PATCH /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/settings/patchsetting.md): This method will patch an existing setting with the specified ID, using the HTTP PATCH specification.
 - [POST /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/settings/createsetting.md): This method will auto-generate an ID and create a new setting. If an ID is specified for the setting, an error will be thrown.
 - [PUT /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/settings/updatesetting.md): This method will update an existing setting with the specified ID.
